:root {
    --color-light: #0A0F2C;
    /*--color-light: #DEEEFF;*/ /* very light blue */
    --color-very-light: rgb(5, 166, 2);
    /* --color-dark: #1c5a02;*/
    --color-dark: #002147;
    soft medium blue --color-very-dark: #164601;
}


/******* Header buttons ********/
.header-button {
  
    background-image: linear-gradient(60deg,var(--color-dark) 0%, var(--color-light) 100%);
    letter-spacing: -.025rem;
    box-shadow: 0 4px 7px -1px rgba(0, 0, 0, .11), 0 2px 4px -1px rgba(0, 0, 0, .07);
    background-size: 150%;
    background-position-x: 25%;
    border-radius: 40px;
    color: white !important;
    padding-left: 25px !important;
    padding-right: 25px !important;
    white-space: nowrap !important;
    margin-top: 2px;
}

.header-button:hover {
        background-image: linear-gradient(60deg, var(--color-light) 0%, var(--color-dark) 100%);
        background-image: linear-gradient(60deg, var(--color-dark) 30%, var(--color-light) 70%); 
        border-color: var(--color-dark); 
        border-style: solid;
        border-width: 1px;
        transform: scale(1.01);
    }


/***** Header section *******/
.cloudservice-header-link span {
    text-decoration-line: underline;
    color: black;
}

.cloudservice-header-link:hover span {
    color: blue;
}


html {
    font-size: 14px;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

html {
    position: relative;
    min-height: 100%;
}



.link-without-underline,
.link-without-underline a:link,
.link-without-underline a:visited {
    color: white;
    text-decoration: none;
}

.link-without-underline:hover {
        color: white;
        text-decoration: underline;
    }

#lnkSignUp {
    padding: 15px 30px 15px 30px;
    font-size: larger;
}

#yourCart {
    padding: 15px 30px 15px 30px;
    font-size: larger;
}

#specials {
    text-align: left;
    margin-top: 1.5rem !important;
}

    #specials hr {
        border: 1px solid var(--color-light);
        opacity: 1;
    }

.card-title {
    /* font-family: cursive;
  font-size: xx-large; */
    /* color: #404040; */
    padding-top: 8px;
    text-align: left;
    font-weight: 300;
    margin: 0 !important;
}

.card-button {
    border-style: none !important;
}

.hp_card {
    border-color: #F5F5F5 !important;
    margin-top: 25px !important;
    min-width: 180px;
    max-width: 280px;
    min-height: 260px;
    max-height: 350px;
}

.hp_card:hover {
        transform: scale(1.02);
        /* box-shadow: 0 0 2px 0.5px var(--color-light) */
    }

.reveal-details {
    position: absolute;
    bottom: 0px;
    left: 0;
    width: 100%;
    max-height: 0;
    overflow: hidden;
    transition: max-height 500ms ease-in-out;
    background-color: var(--color-light);
    border-bottom-left-radius: 0.55rem;
    border-bottom-right-radius: 0.55rem;
    text-align: center;
}

.hp_card:hover .reveal-details {
    max-height: 53px;
    height: 53px;
}


.dropdown-item.focus {
    background-color: red !important;
}


/***** offcanvas *****/

.offcanvas-backdrop.show {
    opacity: .65 !important;
}

.offcanvas {
    width: 550px !important;
}

#offcanvasButton {
    width: 235px;
    height: 40px;
    cursor: pointer;
    position: fixed;
    top: calc(50vh - 137.5px);
    right: 20px;
    color: white;
    background-image: linear-gradient(60deg, var(--color-dark) 0%, var(--color-very-light) 100%);
    border-radius: 15px 15px 0 0;
    border-color: var(--color-very-light);
    transform: rotate(270deg);
    transform-origin: right;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 999;
}

.offcanvas-header {
    background-image: linear-gradient(60deg, var(--color-dark) 0%, var(--color-light) 100%);
    color: white;
}

.useCase {
    display: none;
}

#useCases h4 {
    margin-top: 20px;
    margin-bottom: 15px;
    color: var(--color-very-dark);
}

#useCases h5 {
    color: var(--color-very-dark);
}

#useCases b {
    color: var(--color-very-dark);
}

.card-price {
    margin: 0 !important;
    font-size: medium;
}

.card-buttons {
    margin-top: 7px;
}

.card-discount {
    /* justify-content: center; */
    /* align-items: center; */
    border-radius: 100%;
    /* text-align: center; */
    background-color: #ffc107;
    color: black;
    width: 40px;
    height: 30px;
    padding: 4px 0;
    vertical-align: middle;
    /* float: left; */
    position: absolute;
    top: 15px;
    left: 25px;
    margin-top: 10px;
    text-align: center;
    font-size: small;
}

.card-allergy {
    color: red;
    background-color: #F4FBF4;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    font-size: 20pt;
    position: absolute;
    text-align: center;
    line-height: 36px;
    right: 25px;
    top: 25px;
}




.navbar {
    position: relative;
    text-align: center;
/*    background-color: #DEEEFF;*/
    border-radius: 40px;
    color: white;
}

/*
 Selects the #navbarClose element where the parent's element aria-expanded attribute is true or false*/
#navbarToggler[aria-expanded=true] > #navbarClose {
    display: block;
}

#navbarToggler[aria-expanded=false] > #navbarClose {
    display: none;
}

#navbarToggler[aria-expanded=true] > #navbarOpen {
    display: none;
}

#navbarToggler[aria-expanded=false] > #navbarOpen {
    display: block;
}

.header {
    position: relative;
    text-align: center;
/*    color: white;*/
}

.inner-header {
    /* min-height: 260px; */
    width: 100%;
    margin: 0;
    padding-bottom: 15px;
}


.flex {
    /*Flexbox for containers*/
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
}



/******** jumbotron ************/
.avatar {
    border-radius: 50%;
    width: 100% !important;
    border-color: white;
    border-style: solid;
    border-width: 2px;
    /* box-shadow: 1px 1px 5px 1px var(--color-light); */
}

@media (max-width: 1200px) {
    .avatar-container {
        display: none;
    }
}
/******** jumbotron end ************/




/******* Waves animation ********/
.waves {
    position: relative;
    width: 100%;
    margin-bottom: -7px;
    /*Fix for safari gap*/
    min-height: 30px;
    max-height: 60px;
    display: none;
}

@media (prefers-reduced-motion: reduce) {

    /* CSS to disable motion goes here */
    .waves {
        visibility: hidden;
    }
}


@keyframes move-forever {
    0% {
        transform: translate3d(-90px, 0, 0);
    }

    100% {
        transform: translate3d(85px, 0, 0);
    }
}

/******* Waves animation end ********/



/*Shrinking for mobile*/
@media (max-width: 768px) {
    .waves {
        height: 40px;
        min-height: 40px;
    }

    .content {
        height: 30vh;
    }

    h1 {
        font-size: 24px;
    }
}



body {
    margin-bottom: 40px;
}


/*** Footer ****/

.footer {
    position: fixed;
    bottom: 0;
    width: 100%;
    height: 60px;
    line-height: 60px; /* Vertically center text */
    padding-top: 0;
    background-color: #001F3F; /* Example dark blue */
    color: white;
    z-index: 1000; /* Keep it above other elements */
}


.footer-text {
    color: black;
}

.footer-text a:link {
    color: black;
}

.footer-text a:visited {
    color: black;
}

.footer-text a:hover {
    color: black;
}

/*** Footer ends ****/




/***** Spiner ******/
.woodgrove-spinner {
    width: 5rem;
    height: 5rem;
    margin-top: 100px;
}

/***** Spiner ends ******/

/********** Feedback button ******/
.feedback {
    padding: 5px 20px;
    height: 40px;
    cursor: pointer;
    color: white !important;
    background-image: linear-gradient(60deg, #0B60B0 30%, #40A2D8 100%);
    border-radius: 5px 5px 0 0;
    border-color: #0B60B0;
    z-index: 9999;
}

#feedbackButton {
    position: fixed;
    bottom: -4px;
    right: 10px;
}

/***************** Help ****************/
.nav-underline .nav-link.active,
.nav-underline {
    color: var(--color-dark);
    border-bottom-color: #ffc107;
    border-bottom-width: 3px;
}

    .nav-underline .nav-link {
        color: var(--color-light);
    }

.wg-tab-content {
    margin-top: 25px;
}

#showEntraAdminCenter,
#GraphApiContent {
    display: none;
}

pre {
    color: rgb(60, 60, 60);
    margin-bottom: 0 !important
}

    pre.code {
        background-color: rgb(248, 248, 248);
        border-color: rgb(230, 230, 230);
        border-style: solid;
        border-width: 1px;
        border-radius: 15px;
        ;
        padding-top: 15px;
        padding-left: 20px;
    }


.graph-header {
    padding-bottom: 5px;
    color: var(--color-dark);
}

.graph-header-space {
    padding-top: 25px;
}

.highlight {
    font-weight: bold;
    color: #084884;
    background-color: rgb(228, 228, 228);
}

.method {
    font-weight: bold;
    color: #084884;
}

.function-powershell .method {
    font-weight: bold;
    color: #0101fd;
}

.function-powershell .value {
    color: #a31515;
}

.function-powershell .comment {
    color: green;
}

.param {
    font-weight: bold;
    color: #006881;
}

.function-http code {
    color: black;
}

.function-powershell code {
    color: black;
}

#microsoftGraph .function-powershell {
    display: none;
}

#graphPowerShell .function-http {
    display: none;
}

.copyToClipboard {
    margin-top: 10px;
    ;
}

.collapse.example {
    background-color: #0080000a;
    padding-left: 15px;
    padding-bottom: 15px;
    -webkit-transition: none !important;
    transition: none !important;
}

.collapsing {
    -webkit-transition: none;
    transition: none;
    display: none;
}

/************* Profile card ********/
.profile-header {
    color: green;
    padding-bottom: 5px;
    padding-top: 55px;
}

.profile-content {
    margin-left: 30px;
    background-color: #0080000a;
    padding: 10px 10px 10px 30px;
    border-radius: 10px;
}

.profile-card {
    background-image: linear-gradient(to bottom right, #1b5702 60%, var(--color-light) 100%);
}

.profile-card-header {
    text-shadow: 1px 1px 10px rgb(3, 80, 2);
}

.profile-card-text {
    line-height: 1.75;
}

